''' 
	How to Make a Basic WCS: Python Race.
	Created by: ||7DS||Wolf|| A.K.A |HMS|.Blade.
	Mattie/EventScripts Account: Bladesback
	Steam Account: Wild_Dog_9
'''
'''
	Go to the links below to download the newest versions of EventScripts , Es_Tools, WCS:P, Notepade ++
	EventScripts = http://mattie.net/downloads/mattie_eventscripts_200beta247a.zip
	Es_Tools = http://forums.mattie.info/cs/forums/download.php?id=889
	WCS:P = http://addons.eventscripts.com/addons/download/wcs
	Notepad ++ = http://downloads.sourceforge.net/notepad-plus/npp.5.0.2.Installer.exe?modtime=1216860160&big_mirror=0
'''
'''
	WCS:P Command WebSite = http://wcsource.pbwiki.com/Commands
'''
'''
	Anything in Green, Yellow and Orange are Notes That Do Not Have to be Deleted to Use The Race.
'''

#We import all the scripts that we will be using.  (Must be in every race made)
import wcs, es, random, playerlib, gamethread
#From the wcs folder we import wcs.py.  (Must be in every race made)
from wcs import wcs

#Name of the Race. (When you save this race you MUST save it as the races name)
Name = 'Basic Race for Teaching Purposes'

#Adding the Skills
##For this Race I will add ONLY Basic Spawn Skills.
'''
	wcs.registerSkill('<Skill Name>',<Max Level>,<Level Interval>,'<Skill Description>')
'''
wcs.Race(Name).registerSkill('Add Speed',5,1,'Adds Speed to your Race to Make it Move Faster.')
wcs.Race(Name).registerSkill('Lower Gravity',5,1,'Lowers Gravity From Your Race to Make it Jump Higher.')
wcs.Race(Name).registerSkill('Add Health',5,1,'Adds More Health to Your Race.')
wcs.Race(Name).registerSkill('Add Armor',5,1,'Adds More Armor to Your Race.')
wcs.Race(Name).registerSkill('Lower Alpha',5,1,'Lowers Alpha to Make Your Race Less Visible.')

#Now we Define the Event Variables when the Player Spawns.
def player_spawn(ev):
	#We now Initiate the Event Variables within the Userid.
	#The Userid is the player that the skills have an effect on.
	userid = int(ev['userid'])
	#We now Get the Userid's Race's Name so the skills have no effect on other races.
	if wcs.GetRace(userid) == 'Basic Race for Teaching Purposes':
		##Make sure to tab so that the following is included in 'Basic Race for Teaching Purposes' ONLY.
		#Now we Get the Level of 'Add Speed' from the Userid's races Name
		speed = wcs.GetLevel(userid, Name, 'Add Speed')
		#If you level into 'Add Speed' Then...
		if speed:
			##Make sure to tab again so that the following is included in ONLY in the 'Add Speed' Skill.
			#The Command that will be put on the Userid is SpeedAdd. 
			#Default Speed is 1.
			#The amount of speed that will be added is the Level of ' Add Speed'  X 0.04. (Max speed will be is 1.2)
			wcs.Command(userid).SpeedAdd(speed*.04)
			#Now we tell the Userid how much Speed they got in Multiple Colors.
			es.tell(userid,'#multi','#greenAdd Speed #default- #lightgreenYou have added #green%s #lightgreenspeed.'%(speed*.04))
		##Because we are making a new skill we get make it its own so we line it up with our first skill.
		#Now we Get the Level of 'Lower Gravity' from the Userid's races Name
		gravity = wcs.GetLevel(userid, Name, 'Lower Gravity')	
		#If you level into 'Lower Gravity' Then...
		if gravity:
			##Make sure to tab again so that the following is included in ONLY in the 'Lower Gravity' Skill.
			#The Command that will be put on the Userid is ChangeGravity. 
			#Default Gravity is 1.
			#The amount of gravity that will be subtract is the Level of 1 - ' Lower Gravity X 0.04. (Min gravity will be is .8)
			wcs.Command(userid).ChangeGravity(1-(gravity*.04))
			#Now we tell the Userid how much Gravity they got in Multiple Colors.
			es.tell(userid,'#multi','#greenLower Gravity #default- #lightgreenYou have #green%s #lightgreengravity.'%(1-(gravity*.04)))
		##Because we are making a new skill we get make it its own so we line it up with our first skill.
		#Now we Get the Level of 'Add Health' from the Userid's races Name
		health = wcs.GetLevel(userid, Name, 'Add Health')	
		#If you level into 'Add Health' Then...
		if health:
			#The Command that will be put on the Userid is HealthAdd. 
			#Default Health is 100.
			#The amount of health that will be added is the Level of ' Add Health X 20. (Max health will be is 100)
			wcs.Command(userid).HealthAdd(health*20)
			#Now we tell the Userid how much Health they got in Multiple Colors.
			es.tell(userid,'#multi','#greenAdd Health #default- #lightgreenYou have added #green%s #lightgreenhealth.'%(health*4))
		##Because we are making a new skill we get make it its own so we line it up with our first skill.
		#Now we Get the Level of 'Add Armor' from the Userid's races Name
		armor = wcs.GetLevel(userid, Name, 'Add Armor')	
		#If you level into 'Add Armor' Then...
		if armor:
			#The Command that will be put on the Userid is ArmorAdd. 
			#Default Armor is 0.
			#The amount of armor that will be added is the Level of ' Add Armor X 20. (Max armor will be is 100)
			wcs.Command(userid).ArmorAdd(armor*20)
			#Now we tell the Userid how much Armor they got in Multiple Colors.
			es.tell(userid,'#multi','#greenAdd Armor #default- #lightgreenYou have added #green%s #lightgreenarmor.'%(armor*4))
		##Because we are making a new skill we get make it its own so we line it up with our first skill.
		#Now we Get the Level of 'Lower Alpha' from the Userid's races Name
		alpha = wcs.GetLevel(userid, Name, 'Lower Alpha')	
		#If you level into 'Lower Alpha' Then...
		if alpha:
			#The Command that will be put on the Userid is Color. 
			#Default Alpha is 255.
			#The amount of alpha that will be subtracted is the Level of ' Lower Alpha X 40. (Max alpha will be is 55)
			wcs.Command(userid).Color(alpha=255-(alpha*40))
			#Now we tell the Userid how much Alpha they got in Multiple Colors.
			es.tell(userid,'#multi','#greenLower Alpha #default- #lightgreenYou have #green%s #lightgreenalpha.'%(255-(alpha*40)))

'''
	Congradulations You Have Finished Basic Race Scripting.
	If you would like to see my races and keep up-to-date with all my new scripts and races please see the link below!
	http://addons.eventscripts.com/addons/user/9463  
'''
'''
	DO NOT FORGET TO SAVE THIS AS A PYTHON FILE!
'''